<?php

require_once('../vendor/autoload.php');

use NCSU\Auth\Adapter\WrapAuthAdapter;
use NCSU\Auth\AuthService;
use NCSU\Auth\Http\Request;

$request = Request::createFromGlobals();

$wrapAuthAdapter = new WrapAuthAdapter($request);
$service = new AuthService($wrapAuthAdapter);

$result = $service->authenticate();

if ($result->isValid()) {
    echo sprintf("Your authentication request as %s was successful!", $result->getIdentity());
} else {
    echo "Failed to authenticate!";
}
